Skip to main content
GET
/
resources
/
v1
/
{id}
Get a resource
curl --request GET \
  --url https://api.spacebring.com/resources/v1/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "resource": {
    "autoRelease": {
      "enabled": true,
      "interval": "fiveMinutes"
    },
    "avigilonAltaGroupRef": "<string>",
    "bookingPermission": "admins",
    "bookingStepMinutes": 123,
    "brivoGroupRef": "<string>",
    "capacity": 123,
    "checkIn": {
      "interval": "zeroMinutes"
    },
    "confirmationEmail": {
      "bookingCreatedByAdmin": true,
      "bookingCreatedByMember": true,
      "bookingCreatedByNetworkMember": true,
      "bookingCreatedByPublic": true,
      "template": "<string>"
    },
    "createDate": "2023-11-07T05:31:56Z",
    "credits": {
      "enabled": true,
      "price": 123,
      "tiers": [
        {
          "flatAmount": 123,
          "from": 123,
          "unitAmount": 123,
          "upTo": 123
        }
      ]
    },
    "dayPassesEnabled": true,
    "description": "<string>",
    "dynamicPricing": {
      "deltaAbove": 123,
      "deltaBelow": 123,
      "enabled": true
    },
    "duration": {
      "max": 123,
      "min": 123,
      "public": {
        "enabled": true,
        "max": 123,
        "min": 123
      }
    },
    "googleCalendar": {
      "id": "<string>",
      "twoWaySyncEnabled": true
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "image": {
      "key": "<string>"
    },
    "imageUrl": "<string>",
    "kisiGroupRef": 123,
    "locale": "<string>",
    "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "money": {
      "enabled": true,
      "price": 123,
      "tiers": [
        {
          "flatAmount": 123,
          "from": 123,
          "unitAmount": 123,
          "upTo": 123
        }
      ]
    },
    "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "plans": {
      "enabled": true,
      "tiers": [
        {
          "entire": true,
          "plan": {
            "commitmentCycles": 123,
            "credits": 123,
            "dayPasses": 123,
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "period": "day",
            "price": 123,
            "title": "<string>"
          },
          "commitmentCycles": 123,
          "credits": 123,
          "dayPasses": 123,
          "description": "<string>",
          "discounts": {
            "creditPackages": 123,
            "desks": 123,
            "equipment": 123,
            "events": 123,
            "rooms": 123,
            "shop": 123
          },
          "ezeepBlueGroupRef": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "period": "<string>",
          "price": 123,
          "selfSignupType": "<string>",
          "setupFee": 123,
          "title": "<string>"
        }
      ]
    },
    "preparationMinutes": "zeroMinutes",
    "refundThreshold": "noRefund",
    "saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "schedule": {
      "default": {
        "closedDays": [
          "<string>"
        ],
        "items": [
          {
            "days": {
              "friday": true,
              "monday": true,
              "saturday": true,
              "sunday": true,
              "thursday": true,
              "tuesday": true,
              "wednesday": true
            },
            "hours": {
              "from": "<string>",
              "to": "<string>"
            }
          }
        ]
      },
      "enabled": true,
      "public": {
        "closedDays": [
          "<string>"
        ],
        "enabled": true,
        "items": [
          {
            "days": {
              "friday": true,
              "monday": true,
              "saturday": true,
              "sunday": true,
              "thursday": true,
              "tuesday": true,
              "wednesday": true
            },
            "hours": {
              "from": "<string>",
              "to": "<string>"
            }
          }
        ]
      }
    },
    "tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "type": "dedicatedDesk",
    "visibility": "admins"
  }
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Path Parameters

id
string<uuid>
required

The id of the resource.

Response

OK

resource
object

Resource representation. Public create uses the same field set with required top-level fields documented on the create request body; omit read-only fields (createDate, imageUrl, locale, networkRef) on create.